#ifndef Tracker_ReferenceAPVAnalysis_h
#define Tracker_ReferenceAPVAnalysis_h

#include "ApvAnalysis.h"

class ReferenceApvAnalysis : public ApvAnalysis {
 public:
  ReferenceApvAnalysis(){calibrated = false;}
  RawSignalType rawSignal();
  SubtractedSignalType pedestalSubtractedSignal();
  SubtractedSignalType CMPSubtractedSignal();
  ZeroSuppressedSignalType zeroSuppressedSignal(); 
  
  void newEvent();
  
  void updateCalibration();
  bool isCalibrated(){return calibrated;}

 private:
  bool calibrated;
};
#endif
