#ifndef TkNoiseCalculator_H
#define TkNoiseCalculator_H

#include "ApvAnalysis.h"
#include "TkStateMachine.h"


class TkNoiseCalculator {
 public:
  typedef ApvAnalysis::SubtractedSignalType NoiseType;
  //  typedef vector<float> NoiseType;
  
  TkStateMachine* status() {return &theStatus;}
  
  virtual void setStripNoise(NoiseType) = 0;
  virtual NoiseType stripNoise() const = 0;
  virtual float stripNoise(int) const = 0;
  
  virtual void updateStatus() = 0 ;
  
  virtual void resetNoise() = 0;
  
  //Actions
  virtual void updateNoise(ApvAnalysis::SubtractedSignalType) = 0;
  
  virtual void newEvent(){}

 protected:
  TkStateMachine theStatus;  
};

#endif
