#include "MTEventReader.h"
#include "MTApvFactory.h"

bool MTEventReader::nextEvent(){
  theMap.clear();
}

ApvAnalysis::RawSignalType MTEventReader::rawSignal(ApvAnalysis& in){
  return theMap[&in];
}

void MTEventReader::setEvent(int apv, ApvAnalysis::RawSignalType sig){
  ApvAnalysis* myApv = MTApvFactory::instance()->getApv(apv);
  theMap[myApv] = sig;
}
