#include "ReferenceZeroSuppresser.h"
#include "TkNoiseCalculator.h"
#include "TkApvMask.h"


ApvAnalysis::ZeroSuppressedSignalType ReferenceZeroSuppresser::doIt(ApvAnalysis::SubtractedSignalType ss, TkNoiseCalculator& ns, TkApvMask& mask){
  //
  // I am not really going to do it, I use a simple cut S/N>2 
  //

  ApvAnalysis::ZeroSuppressedSignalType temp;
  
  ApvAnalysis::SubtractedSignalType tempss = mask.maskRawSignal(ss);

  for (int i=0; i<ss.size(); i++){
    if (tempss[i] > 2. * ns.stripNoise(i)) temp.push_back(pair <short,float>(i,tempss[i]));
  }
  return temp;
}
