#ifndef Tracker_ApvReaderInterfaceSimulator_h
#define Tracker_ApvReaderInterfaceSimulator_h

#include "Tracker/ApvAnalysis/interface/ApvEventReader.h"

class ApvReaderInterfaceSimulator : public ApvEventReader {
 public:
  bool goToSpecificEvent(int run, int number) {return true;}
  bool nextEvent();
  
  ApvAnalysis::RawSignalType rawSignal(ApvAnalysis& in);
  ~ApvReaderInterfaceSimulator(){nextEvent();}
  
  TkPedestalCalculator::PedestalType loadPedestals(ApvAnalysis&){return TkPedestalCalculator::PedestalType();}
  void savePedestals(TkPedestalCalculator::PedestalType,ApvAnalysis&){}
  TkNoiseCalculator::NoiseType loadNoise(ApvAnalysis&){return TkNoiseCalculator::NoiseType();}
  void saveNoise(TkNoiseCalculator::NoiseType,ApvAnalysis&){}
};

#endif
