#ifndef TkReferenceAPVMask_H
#define TkReferenceAPVMask_H

#include "TkApvMask.h"
#include "TkNoiseCalculator.h"

class ReferenceApvMask : public TkApvMask {  
 public:

  ReferenceApvMask(TkNoiseCalculator* in) : theNoise(in){}
  
  void setMask(MaskType in) {theMask = in;}
  MaskType mask() {return theMask;}
  
  ApvAnalysis::RawSignalType maskRawSignal(ApvAnalysis::RawSignalType);
  ApvAnalysis::SubtractedSignalType maskRawSignal(ApvAnalysis::SubtractedSignalType);
  
  void calculateMask(ApvAnalysis::SubtractedSignalType);
  
  
 protected:
  MaskType theMask;
  TkNoiseCalculator* theNoise;
};

#endif
