#include <cmath>
#include "ReferencePedestalCalculatorWithSignalRejection.h"

void ReferencePedestalCalculatorWithSignalRejection::updatePedestal(ApvAnalysis::RawSignalType in) {
  if (alreadyUsedEvent == false){
    alreadyUsedEvent = true;
    TkPedestalCalculator::PedestalType temp;
    for (int i=0; i<in.size(); i++){
      if (fabs(in[i]-thePedestal[i]) < 10 || numberOfEvents<30){
	temp.push_back((thePedestal[i]*numberOfEvents+in[i])/(numberOfEvents+1));
      }else{
	temp.push_back(thePedestal[i]);
      }
    }
    numberOfEvents++;
    thePedestal = temp;
  }
}
