#ifndef VIEWER_TGLabeledEntry
#define VIEWER_TGLabeledEntry

#include "TGWindow.h"
#include "TGTextEntry.h"
#include "TGTextBuffer.h"
#include "TGLabel.h"

class TGLabeledEntry : public TGCompositeFrame {

public:
  TGLabeledEntry(const TGWindow *parent, const char* label,
                const UInt_t w, const UInt_t h, const UInt_t gap,
                UInt_t options = kHorizontalFrame, 
                ULong_t back = fgDefaultFrameBackground);
  ~TGLabeledEntry();
  const char * GetText();
  void  SetText(const char *text);
  TGTextEntry* getTGTextEntry();

private:
   
   TGTextBuffer        *fBuffer;
   TGTextEntry         *fEntry;
   TGLabel             *fLabel;
   TGLayoutHints       *fL1, *fL2;
};

#endif
