void plot_noise_tt6(int imod, int nchip, int idchip, const char* canvas_name) {

  char  hTitle[30], hNameCMNoise[30], hNameCMNoiseM[30];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(1);
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hNameCMNoise, "APV_%i_cmnoise",idchip);
        } else {
          sprintf(hNameCMNoise, "APV_%i_cmnoise",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameCMNoise);
        if (fTh1) {
          fTh1->GetXaxis()->SetLabelSize(0.07);
          fTh1->GetYaxis()->SetLabelSize(0.07);
          fTh1->Draw();
        }
      }
    } else {
      tc->cd(1);
      sprintf(hNameCMNoiseM, "CMNoise");
      sprintf(hTitle, "CM Noise Distribution");      
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameCMNoiseM);
      if (fTempH) delete fTempH;      
      for (int i = 0; i < nchip; i++) {
        sprintf(hNameCMNoise, "APV_%i_cmnoise",i+1);        
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameCMNoise);
        if (fTh1) {
          if (i == 0) {
            TH1F* fThCMNoise = new TH1F (hNameCMNoiseM, hTitle, 
               fTh1->GetNbinsX(),fTh1->GetXaxis()->GetXmin()
                                ,fTh1->GetXaxis()->GetXmax());
          }
          fThCMNoise->Add(fTh1, 1.0); 
        }
      }
      fThCMNoise->GetXaxis()->SetLabelSize(0.07);
      fThCMNoise->GetYaxis()->SetLabelSize(0.07);
      fThCMNoise->Draw();      
    } 
  }
}
