void plot_pedestal_tt6(int imod, int nchip, int idchip, const char* canvas_name) {

  char  hTitle[30], hNamePed[30], hNamePedM[30];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(1);
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hNamePed, "APV_%i_pedestal",idchip);
        } else {
          sprintf(hNamePed, "APV_%i_pedestal",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNamePed);
        if (fTh1) {
          fTh1->GetXaxis()->SetLabelSize(0.07);
          fTh1->GetYaxis()->SetLabelSize(0.07);
          fTh1->Draw();
        }
      }
    } else {
      tc->cd(1);
      sprintf(hNamePedM, "Pedestal");
      sprintf(hTitle, "Pedestal Distribution");      
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNamePedM);
      if (fTempH) delete fTempH;      
      for (int i = 0; i < nchip; i++) {
        sprintf(hNamePed, "APV_%i_pedestal",i+1);        
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNamePed);
        if (fTh1) {
          if (i == 0) {
            TH1F* fThPed = new TH1F (hNamePedM, hTitle, 
               fTh1->GetNbinsX(),fTh1->GetXaxis()->GetXmin()
                                ,fTh1->GetXaxis()->GetXmax());
          }
          fThPed->Add(fTh1, 1.0); 
        }
      }
      fThPed->GetXaxis()->SetLabelSize(0.07);
      fThPed->GetYaxis()->SetLabelSize(0.07);
      fThPed->Draw();      
    } 
  }
}
